## 389-ds-base 2.3.4+dfsg1

=== debian/changelog ===
389-ds-base (2.3.4+dfsg1-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.
  * patches: Drop upstreamed or obsolete patches.
  * control: Add dependency on python3-cryptography.

  [ Peter Michael Green ]
  * Improve clean target.
  * Use ln -fs instead of ln -s to allow resuming build after fixing errors.
  * Fix build with base64 0.21. (Closes: #1037345)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 19 Jun 2023 19:13:30 +0300
