## 389-ds-base 2.4.4+dfsg1

=== debian/changelog ===
389-ds-base (2.4.4+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * rules: Generate lib389/setup.py.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 08 Jan 2024 18:04:08 +0200

389-ds-base (2.3.4+dfsg1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add librust-clap-3-dev on B-D. (Closes: #1052626)

 -- Bo YU <tsu.yubo@gmail.com>  Thu, 28 Dec 2023 15:26:49 +0800
