=== debian/control ===
--- 
+++ 
@@ -40,6 +40,7 @@
  librust-rand-dev,
  librust-smallvec-dev,
  librust-tokio-dev,
+ librust-clap-3-dev,
  libsasl2-dev,
  libsnmp-dev,
  libssl-dev,
