=== debian/rules ===
--- 
+++ 
@@ -48,7 +48,7 @@
 	  ln -fs /usr/share/cargo/registry/$$i .; done)
 
 override_dh_auto_build:
-	(cd src/lib389 && python3 setup.py build)
+	(make src/lib389/setup.py && cd src/lib389 && python3 setup.py build)
 	dh_auto_build
 
 override_dh_auto_install:
