## 389-ds-base 2.4.5+dfsg1

=== debian/changelog ===
389-ds-base (2.4.5+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * control: Migrate to libldap-dev, and drop obsolete B/R/P.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 15 Apr 2024 18:48:40 +0300

389-ds-base (2.4.4+dfsg1-3) unstable; urgency=medium

  * rules: Fix build on 32bit. Thanks, Chris Peterson! (Closes:
    #1063434)

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 10 Feb 2024 11:04:23 +0200

389-ds-base (2.4.4+dfsg1-2) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Install aliased files into /usr (DEP17 M2) (Closes: #1060335)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 10 Jan 2024 16:11:28 +0200
