=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  libicu-dev,
  libjson-c-dev,
  libkrb5-dev,
- libldap2-dev (>= 2.4.28),
+ libldap-dev,
  liblmdb-dev,
  libltdl-dev,
  libnspr4-dev,
@@ -104,16 +104,10 @@
 Multi-Arch: same
 Depends:
  389-ds-base-libs (= ${binary:Version}),
- libldap2-dev,
+ libldap-dev,
  libnspr4-dev,
  ${misc:Depends},
  ${shlibs:Depends},
-Breaks: 389-ds-base (<< 1.3.6.7-4),
- libsvrcore-dev,
-Replaces: 389-ds-base (<< 1.3.6.7-4),
- libsvrcore-dev,
-Provides:
- libsvrcore-dev,
 Description: 389 Directory Server suite - development files
  Based on the Lightweight Directory Access Protocol (LDAP), the 389
  Directory Server is designed to manage large directories of users and
