=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,9 @@
 
 ifneq (,$(filter $(DEB_HOST_ARCH), armel m68k mips mipsel powerpc powerpcspe sh4))
   export DEB_LDFLAGS_MAINT_APPEND=-latomic
+endif
+ifneq (,$(filter $(DEB_HOST_ARCH), armhf armel i386))
+  export DEB_CFLAGS_MAINT_APPEND=-D_LARGEFILE64_SOURCE
 endif
 
 REALFILE = \
@@ -33,7 +36,7 @@
 	dh_auto_configure -- \
 		--with-openldap \
 		--with-systemd \
-		--with-systemdsystemunitdir=/lib/systemd/system \
+		--with-systemdsystemunitdir=/usr/lib/systemd/system \
 		--with-systemdsystemconfdir=/etc/systemd/system \
 		--with-systemdgroupname=dirsrv.target \
 		--with-tmpfiles-d=/etc/tmpfiles.d \
