## 389-ds-base 3.1.1+dfsg1

=== debian/changelog ===
389-ds-base (3.1.1+dfsg1-3) unstable; urgency=medium

  * control, patches: Build-depend on librust-base64-dev instead of old versioned
    package, and fix the patch to look for 0.22. (Closes: #1086448)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 08 Jan 2025 11:13:01 +0200

389-ds-base (3.1.1+dfsg1-2) unstable; urgency=medium

  * control: Fix bindgen build-dependency. (Closes: #1081855)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 02 Oct 2024 09:38:35 +0300

389-ds-base (3.1.1+dfsg1-1) unstable; urgency=medium

  * New upstream release. (Closes: #1073466)
    - CVE-2024-6237
    - CVE-2024-5953
    - CVE-2024-3657
    - CVE-2024-2199 (Closes: #1072531)
  * control, vendor: Add librust-ahash-0.7-dev to build-depends, modify
    concread cargo to allow newer lru. (Closes: #1071998)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 07 Aug 2024 09:53:49 +0300

389-ds-base (3.0.2+dfsg1-1) experimental; urgency=medium

  * New upstream release.
  * patches: Refreshed.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 25 Apr 2024 13:34:47 +0300
