=== debian/control ===
--- 
+++ 
@@ -27,8 +27,9 @@
  libpci-dev,
  libpcre2-dev,
  libperl-dev,
- librust-base64-0.21-dev,
- librust-cbindgen-dev,
+ librust-ahash-0.7-dev,
+ librust-base64-dev,
+ librust-cbindgen-0+default-dev,
  librust-cc-dev,
  librust-crossbeam-dev,
  librust-fernet-dev,
