=== src/lib389/requirements.txt ===
pyasn1
pyasn1-modules
python-dateutil
argcomplete
argparse-manpage
python-ldap
setuptools
distro
cryptography
