=== debian/changelog ===
389-ds-base (3.1.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * vendor: Import ahash 0.7.8. (Closes: #1095537)
  * patches: Refreshed.
  * control, rules: Drop obsolete perl depends, install pythonized
    logconv.
  * patches: Fix CVE-2025-2487. (Closes: #1100994)
  * control: Migrate to pkgconf.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 10 Apr 2025 14:06:13 +0300
