=== debian/control ===
--- 
+++ 
@@ -26,8 +26,6 @@
  libpam0g-dev,
  libpci-dev,
  libpcre2-dev,
- libperl-dev,
- librust-ahash-0.7-dev,
  librust-base64-dev,
  librust-cbindgen-0+default-dev,
  librust-cc-dev,
@@ -46,7 +44,7 @@
  libsnmp-dev,
  libssl-dev,
  libsystemd-dev,
- pkg-config,
+ pkgconf,
  python3-all-dev,
  python3-argcomplete,
  python3-argparse-manpage,
@@ -126,11 +124,7 @@
  adduser,
  acl,
  ldap-utils,
- libmozilla-ldap-perl,
- libnetaddr-ip-perl,
- libsocket-getaddrinfo-perl,
  libsasl2-modules-gssapi-mit,
- perl,
  python3-lib389,
  python3-selinux,
  python3-semanage,
