=== debian/rules ===
--- 
+++ 
@@ -13,9 +13,9 @@
 
 REALFILE = \
 	bin/ds-logpipe.py \
-	bin/logconv.pl \
+	bin/logconv.py \
 	share/man/man1/ds-logpipe.py.1 \
-	share/man/man1/logconv.pl.1 \
+	share/man/man1/logconv.py.1 \
 
 %:
 	dh $@ --with python3
@@ -43,7 +43,6 @@
 		--enable-autobind \
 		--enable-cmocka \
 		--enable-icu \
-		--enable-perl \
 		--enable-rust \
 		--enable-rust-offline
 
@@ -68,6 +67,9 @@
 	# purge .la files
 	find $(CURDIR)/debian/tmp -name "*.la" -type f -exec rm -f "{}" \;
 
+	# and perl tools
+	find $(CURDIR)/debian/tmp -name "logconv.pl*" -type f -exec rm -f "{}" \;
+
 	mkdir -p $(CURDIR)/debian/tmp/etc/systemd/system/dirsrv.target.wants
 
 	# fix the manpage section, argparse-manpage hardcodes it as 1
