=== debian/tests/control ===
Tests: setup
Depends:
 389-ds-base,
Restrictions:
 isolation-container,
 needs-root,
